Bug 1370146 - (CVE-2016-6303) CVE-2016-6303 openssl: Integer overflow in MDC2_Update()
CVE-2016-6303 openssl: Integer overflow in MDC2_Update()
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160820,repor...
: Security
Depends On: 1370147 1370148 1370149
Blocks: 1367347
  Show dependency treegraph
 
Reported: 2016-08-25 08:07 EDT by Adam Mariš
Modified: 2016-09-27 20:43 EDT (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-16 16:36:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2662211 None None None 2016-09-27 20:43 EDT

  None (edit)
Description Adam Mariš 2016-08-25 08:07:00 EDT
Possible integer overflow vulnerability was found in MDC2_Update() function that can lead to out-of-bounds write.

Upstream patch:

https://github.com/openssl/openssl/commit/2b4029e68fd7002d2307e6c3cde0f3784eef9c83
Comment 1 Adam Mariš 2016-08-25 08:07:50 EDT
Created openssl101e tracking bugs for this issue:

Affects: epel-5 [bug 1370149]
Comment 2 Adam Mariš 2016-08-25 08:08:05 EDT
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1370147]
Comment 3 Adam Mariš 2016-08-25 08:08:16 EDT
Created mingw-openssl tracking bugs for this issue:

Affects: fedora-all [bug 1370148]
Comment 4 Tomas Hoger 2016-09-16 16:36:25 EDT
MDC-2 support is not enabled in OpenSSL packages in Red Hat products.  Therefore, this issue can not affect those packages.
Comment 5 Tomas Hoger 2016-09-20 16:25:35 EDT
Statement:

Not vulnerable. This issue did not affect the versions of openssl as shipped with Red Hat Enterprise Linux 4, 5, 6, and 7, as they did not include support for MDC-2.

Note You need to log in before you can comment on or make changes to this bug.